On Aug 14th 11 PM ET/Aug 15th 03:00 UTC, due to scheduled Firefox Account server maintenance, users may not be able to sign in or create a new subscription. This is expected to last approximately 30 minutes. Status updates can be found at https://status.vpn.mozilla.org or https://status.relay.firefox.com.

Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

whatsapp web issue

  • 3 uphendule
  • 4 zinale nkinga
  • 1426 views
  • Igcine ukuphendulwa ngu James

more options

HII, I have latest version of mozila firefox of 52.9v but whatsapp web is showing me that"UPDATE MOZILA FIREFOX"


PLEASE FIX MY ISSUE

HII, I have latest version of mozila firefox of 52.9v but whatsapp web is showing me that"UPDATE MOZILA FIREFOX" PLEASE FIX MY ISSUE

Isisombululo esikhethiwe

Hi

You may be using the latest version for Windows XP, but both your copy of Windows and Firefox are very out of date and unsupported.

I strongly recommend that you update your operating system and install a more recent version of Firefox.

Funda le mpendulo ngokuhambisana nalesi sihloko 👍 0

All Replies (3)

more options

Isisombululo Esikhethiwe

Hi

You may be using the latest version for Windows XP, but both your copy of Windows and Firefox are very out of date and unsupported.

I strongly recommend that you update your operating system and install a more recent version of Firefox.

Helpful?

more options

The minimum requirements for WhatsApp seem to be Windows 8.1 or Mac OS X 10.10 and Firefox 60+. If your OS is supported then you need to update a more recent Firefox version, otherwise you need to update to a newer Windows version or you can consider to switch to a Linux distribution that supports your hardware.

Helpful?

more options

adityasharma931121 said

HII, I have latest version of mozila firefox of 52.9v

Firefox 52.0 is old as it came out almost five years ago March 7, 2017. The security/stability update Fx 52.9.0esr came out June 26, 2018


To use more current Firefox versions your only options as mentioned is to either use Windows 7 or later (Win7 is EOL and 8.1 will be EOL January 10, 2023) or use a Linux distro. There are still some lighter 32-bit Linux distros you could dual boot with like those mentioned in https://www.techradar.com/news/best-lightweight-linux-distro

Helpful?

Buza umbuzo

Kufanele ulogele ukungena ku-akhawunti yakho ukuze uphendule amaphosti. Uyacelwauqale umbuzo omusha, uma ungekabi nayo i-akhawunti namanje.